## tunnel

tunnel

## Types and Values

struct | GstTunnel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstTunnel

## Description

Tunnel is a geometric image transform element. It applies a light tunnel effect.

#### Example launch line

    1

    gst-launch-1.0 -v videotestsrc ! tunnel ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstTunnel

    struct GstTunnel;

## See Also

geometrictransform